Несколько уязвимостей в Barcode Generator

Дата публикации:
30.09.2008
Всего просмотров:
1876
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Раскрытие системных данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Barcode Generator 2.x
Уязвимые версии: Barcode Generator 1d 2.0.0, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю получить доступ к важным данным и скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "code" в сценарии html/image.php, когда параметры "t", "r", "text", "f1", "f2", "o", "a1" и "a2" установлены в нулевые значения. Удаленный пользователь может с помощью специально сформированного запроса, содержащего символы обхода каталога, просмотреть содержимое произвольных файлов на системе. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP. Пример:

http://[host]/html/image.php?t=1&r=1&text=1&f1=1&f2=1&o=1&a1=1&a2=1&code=/../../../../../../../etc/passwd%00

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "class_dir" в сценарии class/LSTable.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/class/LSTable.php?class_dir=[file]

URL производителя: www.barcodephp.com

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA